org.jgrapht.alg.flow

## Class MaximumFlowAlgorithmBase<V,E>

- java.lang.Object
- - org.jgrapht.alg.flow.MaximumFlowAlgorithmBase<V,E>

- Type Parameters:
    `V` - vertex concept type
    `E` - edge concept type
  All Implemented Interfaces:
    MaximumFlowAlgorithm<V,E>
  Direct Known Subclasses:
    EdmondsKarpMaximumFlow, PushRelabelMaximumFlow

      public abstract class MaximumFlowAlgorithmBase<V,E>
      extends Object
      implements MaximumFlowAlgorithm<V,E>

  Base class backing algorithms allowing to derive maximum-flow from the supplied flow network
  Author:
    Alexey Kudinkin

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jgrapht.alg.interfaces.MaximumFlowAlgorithm

      `MaximumFlowAlgorithm.MaximumFlow<V,E>, MaximumFlowAlgorithm.MaximumFlowImpl<V,E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `DEFAULT_EPSILON` Default tolerance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaximumFlowAlgorithmBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `compareFlowTo(double flow, double val)`
    `protected Map<E,Double>` | `composeFlow()`
    `protected <EE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.EdgeExtensionBase> EE` | `edgeExtended(E e)`
    `protected void` | `pushFlowThrough(org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.EdgeExtensionBase ex, double f)`
    `protected <VE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.VertexExtensionBase> VE` | `vertexExtended(V v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jgrapht.alg.interfaces.MaximumFlowAlgorithm

      `buildMaximumFlow`

- - ### Field Detail

    - #### DEFAULT_EPSILON

          public static final double DEFAULT_EPSILON

      Default tolerance.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MaximumFlowAlgorithmBase

          public MaximumFlowAlgorithmBase()

  - ### Method Detail

    - #### vertexExtended

          protected <VE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.VertexExtensionBase> VE vertexExtended(V v)

    - #### edgeExtended

          protected <EE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.EdgeExtensionBase> EE edgeExtended(E e)

    - #### pushFlowThrough

          protected void pushFlowThrough(org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.EdgeExtensionBase ex,
                             double f)

    - #### composeFlow

          protected Map<E,Double> composeFlow()

    - #### compareFlowTo

          protected int compareFlowTo(double flow,
                          double val)

Copyright © 2016. All rights reserved.